Subject: Re: bug#59603: 28.1.90; `ucs-normalize-string' fails to work
From: Eli Zaretskii <[email-masked]>
To: Ihor Radchenko <[email-masked]>
Cc: [email-masked]
Date: Sat, 26 Nov 2022 10:57:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Ihor Radchenko <[email-masked]>
> Date: Sat, 26 Nov 2022 08:41:39 +0000
> 
> I just stumbled upon `ucs-normalize-string' 
> 
> (defmacro ucs-normalize-string (ucs-normalize-region)
>   `(with-temp-buffer
>      (insert str)
>      (,ucs-normalize-region (point-min) (point-max))
>      (buffer-string)))
> 
> It apparently uses undefined variable `str', which does not look right.

It's a macro, not a function.  So STR could come from the code which calls
the macro.  Look how it is used in that file, and you will see what I mean.

> Also, no docstring.

I added a doc string.

Thanks.